adaptation-xiaomi-miatoll (101.12+git20250412211033.96edc80.next.production) trixie; urgency=medium

  * debian: android: Fix previous commit
  * debian: adaptation-miatoll-android: Disable user space thermal daemon
  * debian: adaptation-miatoll-android: Disable some more android stuff

 -- Cédric Bellegarde <cedric.bellegarde@adishatz.org>  Sat, 12 Apr 2025 23:10:33 +0200

adaptation-xiaomi-miatoll (101.11) next; urgency=medium

  * debian: adaptation-miatoll-android: Disable android.hardware.health@2.0-service

 -- Cédric Bellegarde <cedric.bellegarde@adishatz.org>  Thu, 10 Apr 2025 21:17:54 +0200

adaptation-xiaomi-miatoll (101.10) next; urgency=medium

  * adaptation-miatoll-android: Remove useless servicetracker HAL
  * Revert "glib: schemas: Disable proximity sensor by default"
  * lxc: Add miatoll workaround
  * debian: Add headphone-manager to deps

 -- Cédric Bellegarde <cedric.bellegarde@adishatz.org>  Thu, 06 Feb 2025 21:40:29 +0100

adaptation-xiaomi-miatoll (101.9) next; urgency=medium

  * debian: adaptation-miatoll-android: Add gpuservice

 -- Cédric Bellegarde <cedric.bellegarde@adishatz.org>  Sun, 26 Jan 2025 21:56:30 +0100

adaptation-xiaomi-miatoll (101.8) next; urgency=medium

  * systemd: Do not disconnect TTY clients

 -- Cédric Bellegarde <cedric.bellegarde@adishatz.org>  Thu, 23 Jan 2025 18:39:49 +0100

adaptation-xiaomi-miatoll (101.7) next; urgency=medium

  * glib: schemas: Disable proximity sensor by default

 -- Cédric Bellegarde <cedric.bellegarde@adishatz.org>  Wed, 22 Jan 2025 17:42:28 +0100

adaptation-xiaomi-miatoll (101.6) next; urgency=medium

  * debian: Add missing dir to adaptation-miatoll-android
  * Reapply "services: Remove workaround for phosh"
  * systemd: Add timeout for hwcomposer.service

 -- Cédric Bellegarde <cedric.bellegarde@adishatz.org>  Tue, 21 Jan 2025 21:13:24 +0100

adaptation-xiaomi-miatoll (101.5) next; urgency=medium

  * debian: adaptation-miatoll-android: Stop registering IPerf
  * debian: Depends: droidian-quirks-lomiri

 -- Cédric Bellegarde <cedric.bellegarde@adishatz.org>  Sun, 05 Jan 2025 13:01:42 +0100

adaptation-xiaomi-miatoll (101.4) next; urgency=medium

  * debian: Replace droidian-camera by lomiri-camera-app

 -- Cédric Bellegarde <cedric.bellegarde@adishatz.org>  Wed, 01 Jan 2025 22:16:36 +0100

adaptation-xiaomi-miatoll (101.3) next; urgency=medium

  * debian: adaptation-miatoll-android: android.hardware.ir needed by Waydroid

 -- Cédric Bellegarde <cedric.bellegarde@adishatz.org>  Mon, 30 Dec 2024 09:38:42 +0100

adaptation-xiaomi-miatoll (101.2) next; urgency=medium

  * debian: adaptation-miatoll-android: Add installd

 -- Cédric Bellegarde <cedric.bellegarde@adishatz.org>  Tue, 24 Dec 2024 17:27:36 +0100

adaptation-xiaomi-miatoll (101.1) next; urgency=medium

  * debian: adaptation-miatoll-android: Disable more vendor services
  * debian: adaptation-miatoll-android: displayfeature@1.0 is used by ambient brightness sensors

 -- Cédric Bellegarde <cedric.bellegarde@adishatz.org>  Sun, 22 Dec 2024 11:30:54 +0100

adaptation-xiaomi-miatoll (101.0) next; urgency=medium

  * Revert "ofono: Force 1.2 interface"
  * cpuset: Remove custom systemd conf
  * cpuset: Remove support from miatoll
  * debian: Remove unused files
  * debian: Depend on mobile-power-saver-droidian-miatoll
  * debian: Add adaptation-miatoll-android to Depends
  * Revert "services: Remove workaround for phosh"

 -- Cédric Bellegarde <cedric.bellegarde@adishatz.org>  Wed, 18 Dec 2024 11:02:07 +0100

adaptation-xiaomi-miatoll (100.1) next; urgency=medium

  * glib: schemas: Add libdroid brigthness override

 -- Cédric Bellegarde <cedric.bellegarde@adishatz.org>  Fri, 01 Nov 2024 21:58:18 +0100

adaptation-xiaomi-miatoll (100) next; urgency=medium

  * debian: Move to phosh-osk-stub

 -- Cédric Bellegarde <cedric.bellegarde@adishatz.org>  Mon, 02 Sep 2024 08:28:11 +0200

adaptation-xiaomi-miatoll (99) next; urgency=medium

  * systemd: Remove data quirk
  * glib: Add ambient brightness points

 -- Cédric Bellegarde <cedric.bellegarde@adishatz.org>  Fri, 30 Aug 2024 17:43:29 +0200

adaptation-xiaomi-miatoll (98.0.4) next; urgency=medium

  * squeekboard: Fix height in fr terminal layout
  * ofono: Force 1.2 interface

 -- Cédric Bellegarde <cedric.bellegarde@adishatz.org>  Wed, 21 Aug 2024 20:55:37 +0200

adaptation-xiaomi-miatoll (98.0.3) next; urgency=medium

  * squeekboard: Fix height in fr layout

 -- Cédric Bellegarde <cedric.bellegarde@adishatz.org>  Sun, 04 Aug 2024 15:41:14 +0200

adaptation-xiaomi-miatoll (98.0.2) next; urgency=medium

  * squeekboard: Update fr layout to match new changes

 -- Cédric Bellegarde <cedric.bellegarde@adishatz.org>  Sun, 04 Aug 2024 14:58:30 +0200

adaptation-xiaomi-miatoll (98.0.1) next; urgency=medium

  * glib: schemas: Add support for double-tap

 -- Cédric Bellegarde <cedric.bellegarde@adishatz.org>  Sun, 04 Aug 2024 11:43:48 +0200

adaptation-xiaomi-miatoll (98) next; urgency=medium

  * postboot: Add miatoll.conf to disable double tap
  * postboot: Remove swappiness
  * postboot: Set pulseaudio settings
  * droidian-perf: Rework script
  * feedbackd: Add custom theme
  * pulseaudio: Tweak priority
  * debian: Update dependencies
  * droidian-perf: In mobile-power-saver
  * debian: Update dependencies
  * debian: Add battery-input-manager
  * debian: Prepare enabling ofono-configs-binder-dual-sim
  * debian: Replace getcutout
  * miatoll-postboot: Remove custom NetworkManager service file
  * debian: Add fpd-unlock to deps
  * miatoll-postboot: Remove double tap configuration
  * debian: Add miatoll-settings to deps
  * Import from miatoll-quirks
  * debian: miatoll-settings -> mobile-settings
  * debian: Replace miatoll-quirks
  * debian: miatoll-quirks -> miatoll-quirks
  * debian: Remove conflict
  * debian: Remove miatoll-settings
  * services: Rename droidian-perf.service to miatoll-preboot.service
  * cpuset: Split code pre/post boot
  * service: Rework preboot
  * service: clean up
  * systemd: Add services to system-background/background cpuset
  * systemd: Add user services to system-background/background cpuset
  * systemd: Remove camera-hal-force
  * systemd: Add miatoll-quirks
  * miatoll-quirks: Remove camera workaround
  * systemd: Remove dbus/phosh from system-background
  * services: Remove workaround for phosh
  * Add adaptation-miatoll-android
  * android: Hide vendor.xiaomi.hardware.misys
  * debian: Add adaptation-miatoll-keyboard-fr
  * treewide: Import from mobile-quirk package
  * debian: Replace mobile-quirk package
  * debian: Remove adishatz repos
  * debian: Remove mobile-quirks dependency

 -- Cédric Bellegarde <cedric.bellegarde@adishatz.org>  Thu, 01 Aug 2024 10:06:38 +0200

adaptation-xiaomi-miatoll (24) trixie; urgency=medium

  * vendor-overlay: overlay an empty FrameworksResTarget in rro

 -- Bardia Moshiri <fakeshell@bardia.tech>  Sat, 10 Feb 2024 12:13:24 -0500

adaptation-xiaomi-miatoll (23) trixie; urgency=medium

  * droidian-perf: enable sched_boost

 -- Bardia Moshiri <fakeshell@bardia.tech>  Sat, 06 Jan 2024 10:59:05 -0500

adaptation-xiaomi-miatoll (22) trixie; urgency=medium

  * udev: clean rules for non existent users
  * droidian-perf: expand and tweak all sysfs and procfs nodes

 -- Bardia Moshiri <fakeshell@bardia.tech>  Fri, 05 Jan 2024 21:48:28 -0500

adaptation-xiaomi-miatoll (21) trixie; urgency=medium

  * droidian-perf: set sched_autogroup_enabled to 0

 -- Bardia Moshiri <fakeshell@bardia.tech>  Sun, 03 Dec 2023 15:02:45 -0500

adaptation-xiaomi-miatoll (20) trixie; urgency=medium

  * drop phoc scripts

 -- Bardia Moshiri <fakeshell@bardia.tech>  Fri, 13 Oct 2023 15:47:54 -0400

adaptation-xiaomi-miatoll (19) trixie; urgency=medium

  * camera-hal-force: attempt to access the camera a forth time

 -- Bardia Moshiri <fakeshell@bardia.tech>  Wed, 11 Oct 2023 22:01:57 -0400

adaptation-xiaomi-miatoll (18) trixie; urgency=medium

  * add camera-hal-force and gstreamer1.0-tools

 -- Bardia Moshiri <fakeshell@bardia.tech>  Sat, 30 Sep 2023 12:37:34 -0400

adaptation-xiaomi-miatoll (17) trixie; urgency=medium

  * droidian-perf: allow for schedtune tuning

 -- Bardia Moshiri <fakeshell@bardia.tech>  Sun, 17 Sep 2023 02:43:43 -0400

adaptation-xiaomi-miatoll (16) trixie; urgency=medium

  * vendor-overlay: drop libandroidicu mounts in favor of api29 quirks

 -- Bardia Moshiri <fakeshell@bardia.tech>  Tue, 12 Sep 2023 14:44:42 -0400

adaptation-xiaomi-miatoll (15) trixie; urgency=medium

  * vendor-overlay: disable thermal-engine and dataqti
  * droidian: add mtp-supported signature file

 -- Bardia Moshiri <fakeshell@bardia.tech>  Sun, 03 Sep 2023 18:23:15 -0400

adaptation-xiaomi-miatoll (14) trixie; urgency=medium

  * droidian: add droidian-camera config

 -- Bardia Moshiri <fakeshell@bardia.tech>  Sun, 27 Aug 2023 15:18:55 -0400

adaptation-xiaomi-miatoll (13) trixie; urgency=medium

  * droidian: use sysfs backend of flashlightd

 -- Bardia Moshiri <fakeshell@bardia.tech>  Fri, 25 Aug 2023 19:59:50 -0400

adaptation-xiaomi-miatoll (12) trixie; urgency=medium

  * vendor-overlay: add symlinks for androidicu

 -- Bardia Moshiri <fakeshell@bardia.tech>  Fri, 25 Aug 2023 12:46:10 -0400

adaptation-xiaomi-miatoll (11) trixie; urgency=medium

  * droidian-perf: add hispeed_freq improvements

 -- Bardia Moshiri <fakeshell@bardia.tech>  Tue, 15 Aug 2023 16:01:36 -0400

adaptation-xiaomi-miatoll (10) trixie; urgency=medium

  * add droidian-perf service and shell script

 -- Bardia Moshiri <fakeshell@bardia.tech>  Tue, 15 Aug 2023 10:58:56 -0400

adaptation-xiaomi-miatoll (9) trixie; urgency=medium

  [ Bardia Moshiri ]
  * miatoll-postboot: enable DT2W

  [ Eugenio Paolantonio (g7) ]
  * [skip ci] Move to Droidian rolling

 -- Bardia Moshiri <fakeshell@bardia.tech>  Sat, 08 Jul 2023 19:36:43 -0400

adaptation-xiaomi-miatoll (8) bookworm; urgency=medium

  * drop qt5-cameraplugin-aal in favor of droidian-camera

 -- Bardia Moshiri <fakeshell@bardia.tech>  Tue, 20 Jun 2023 17:20:04 -0400

adaptation-xiaomi-miatoll (7) bookworm; urgency=medium

  * Remove droidian-sysfs-torch

 -- Erik Inkinen <erik.inkinen@erikinkinen.fi>  Mon, 19 Jun 2023 00:49:12 +0300

adaptation-xiaomi-miatoll (6) bookworm; urgency=medium

  * [debian] Drop batman as it is a part of droidian-meta

 -- Erik Inkinen <erik.inkinen@erikinkinen.fi>  Sat, 17 Jun 2023 13:14:47 +0300

adaptation-xiaomi-miatoll (5) bookworm; urgency=medium

  * disable autosuspend

 -- Bardia Moshiri <fakeshell@bardia.tech>  Sat, 10 Jun 2023 05:39:57 -0400

adaptation-xiaomi-miatoll (4) bookworm; urgency=medium

  * include qt5 camera and desktop file to use it

 -- Bardia Moshiri <fakeshell@bardia.tech>  Sat, 10 Jun 2023 03:07:58 -0400

adaptation-xiaomi-miatoll (3) bookworm; urgency=medium

  * add the binary for torch
  * drop old dependencies
  * [packaging]: build the package as all instead of arm64

 -- Bardia Moshiri <fakeshell@bardia.tech>  Thu, 08 Jun 2023 21:57:21 -0400

adaptation-xiaomi-miatoll (2) bookworm; urgency=medium

  * add batman as a dependency

 -- Bardia Moshiri <fakeshell@bardia.tech>  Thu, 08 Jun 2023 19:46:18 -0400

adaptation-xiaomi-miatoll (1) bookworm; urgency=medium

  [ Bardia Moshiri ]
  * add circle ci
  * drop the old repo and rename to adaptation-xiaomi-miatoll

  [ Marcel Alexandru Nitan ]
  * Initial adaptation package for miatoll
  * Add pulseaudio configuration
  * sources.list.d: miatoll.list: fix repo url
  * Add linux-bootimage-miatoll to depends
  * Fix kernel depends
  * Drop support for bullseye
  * Fix miatoll.list.
  * Fix package links
  * Also package kernel debs when creating sideload package
  * v1.0.2
  * Fix control file
  * Fix package-sideload-create.d.
  * Increase version
  * Add scale-to-fit and get-app-id app scaling helpers.
  * Add post-boot service
  * Disable lowmemorykiller
  * Set swappiness value to 90
  * Version 1.0.6
  * Fix miatoll-postboot service
  * Version 1.0.6
  * Fix swappines value
  * Version 1.0.8
  * deb: Fix package sideload create
  * Version 1.0.9
  * Increment version to publish version with correct control compression
  * Fix phone calls.
  * Tweak phosh scale to fix scalling in some apps
  * Depend on droidatoll-sysfs-torch (Torch toggle hack)
  * Notify apt repo that should build and upload this package
  * Workflow improvements
  * Run cleanup step in the same job as Notify
  * Delete workflows older than 1 day
  * Remove package-sideload-create.d
  * Remove changelog since it's now generated by the repo builder
  * workflow: send build type to the build CI
  * debian/control: remove sysfs torch hack depedency

 -- Bardia Moshiri <fakeshell@bardia.tech>  Fri, 02 Jun 2023 18:56:24 -0400

